{
  config,
  lib,
  fn,
  pkgs,
  ...
}:
with lib;
let
  cfg = config.machine;
  pkgsets = fn.lst {
    p = toString ../pkgsets;
    b = true;
  };
in
{
  imports = pkgsets;

  environment.systemPackages = flatten (
    lists.forEach (attrVals (filter (v: !(strings.hasInfix "::" v)) cfg.pkgs) cfg.pkgsets) (
      v: v.pkgwrap
    )
  );
}
