{ ... }:

{
  users.users.august = {
    isNormalUser = true;
    createHome = false;
  };
  services.openssh.extraConfig = ''
    Match User august
      AllowUsers august
      PermitEmptyPasswords yes
      ChrootDirectory /home/august
      ForceCommand internal-sftp
  '';
  sops.secrets."users/august/publicKey" = {
    path = "/etc/ssh/authorized_keys.d/august";
    mode = "444";
  };
  fileSystems."/home/august/Videos" = {
    device = "/mnt/WD/Videos/Movies/";
    options = [
      "nofail"
      "bind"
      "x-systemd.automount"
    ];
    neededForBoot = false;
  };
}
